function H = abs(H)
%ABS    Absolute value.
%
%   ABS(H) is the absolute value of the elements of smhank
%   matrix H. When H is complex, ABS(H) is the complex 
%   modulus (magnitude) of the elements of H.
%
%   See also SMHANK/SIGN, SMHANK/ANGLE.

%  Giuseppe Rodriguez, University of Cagliari, Italy
%       Email: rodriguez@unica.it
%
%  Last revised January 14, 2011

H.h = abs(H.h);
H.cev = [];
if smtconfig('tpautoeig')
	H = hkprem(H);
end

