function display(H)
%DISPLAY  Display a matrix of the smhank class.
%
%   DISPLAY(H) displays informations pertaining to the smhank 
%   matrix H. It is called for the matrix H when the semicolon
%   is not used to terminate a statement.
%
%   Matrices may be displayed as full arrays or in compact form,
%   this can be configured by the SMTCONFIG command as follows:
%       smtconfig('display','full')
%       smtconfig('display','compact')
%
%   See also SMHANK, SMHANK/GET, SMTCONFIG.

%  Giuseppe Rodriguez, University of Cagliari, Italy
%       Email: rodriguez@unica.it
%
%  Last revised August 10, 2011

disp(' ');
disp([inputname(1),' = '])
disp(' ');
if strcmp( smtconfig('display'), 'full')
	if isempty(H)
		sprintf('     []\n')
	else
		disp(full(H))
	end
else
	if issparse(H.h),  s = ' (sparse) ';  else  s = ' ';  end
	disp(['smhank',s,'object with fields:'])
	disp(struct(H))
end

