function H = full(H)
%FULL Convert smhank matrix to a full matrix.
%
%   A = FULL(H) converts a Hankel matrix H, stored as smhank
%   object, to full storage organization.
%
%   See also SMHANK, ISSMHANK.

%  Giuseppe Rodriguez, University of Cagliari, Italy
%       Email: rodriguez@unica.it
%
%  Last revised June 9, 2006

if isempty(H)
	H = [];
else
	H = hankel(full(H.h(1:H.dim1)),full(H.h(H.dim1:H.dim2+H.dim1-1)));
end

